From 239bd09b426e73472a8f4f0ebe8e9faa11abd097 Mon Sep 17 00:00:00 2001
From: lvilnis <lvilnis@gmail.com>
Date: Thu, 8 Sep 2011 20:24:04 -0400
Subject: [PATCH] Fixed a bug where predicates would sometimes fail to match
 0.0

---
 collects/typed-racket/types/numeric-tower.rkt |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/collects/typed-racket/types/numeric-tower.rkt b/collects/typed-racket/types/numeric-tower.rkt
index 2ca51b3..c7fb549 100644
--- a/collects/typed-racket/types/numeric-tower.rkt
+++ b/collects/typed-racket/types/numeric-tower.rkt
@@ -128,12 +128,12 @@
 
 ;; Floating-point numbers
 (define -FlonumPosZero (make-Base 'Float-Positive-Zero
-                                  #'(lambda (x) (eq? x 0.0))
-                                  (lambda (x) (eq? x 0.0))
+                                  #'(lambda (x) (eqv? x 0.0))
+                                  (lambda (x) (eqv? x 0.0))
                                   #'-FlonumPosZero))
 (define -FlonumNegZero (make-Base 'Float-Negative-Zero
-                                  #'(lambda (x) (eq? x -0.0))
-                                  (lambda (x) (eq? x -0.0))
+                                  #'(lambda (x) (eqv? x -0.0))
+                                  (lambda (x) (eqv? x -0.0))
                                   #'-FlonumNegZero))
 (define -FlonumZero (*Un -FlonumPosZero -FlonumNegZero))
 (define -FlonumNan (make-Base 'Float-Nan
-- 
1.7.6.GIT
